package me.unurled.lymel.components.events.player;

import me.unurled.lymel.util.EquipmentUtil;
import net.minecraft.entity.EquipmentSlot;
import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.item.ItemStack;
import net.minecraft.util.ActionResult;

public class EquipmentChangeHandler implements EquipementChangeCallback{

    public static void init() {
        EquipementChangeCallback.EVENT.register(new EquipmentChangeHandler());
    }

    @Override
    public ActionResult changeEquipment(PlayerEntity player, EquipmentSlot slot, ItemStack stack) {
        EquipmentUtil.updateStatuses(player, stack);
        if (slot == EquipmentSlot.MAINHAND) {
//                        player.onEquipStack(slot, player.getInventory().main.set(player.getInventory().selectedSlot, stack), stack);
        } else if (slot == EquipmentSlot.OFFHAND) {
//                        player.onEquipStack(slot, player.getInventory().offHand.set(0, stack), stack);
        } else if (slot.getType() == EquipmentSlot.Type.ARMOR) {
//                        player.onEquipStack(slot, player.getInventory().armor.set(slot.getEntitySlotId(), stack), stack);
        }
        return ActionResult.PASS;
    }
}
