package me.unurled.lymel.mixin.server.Player;

import me.unurled.lymel.components.events.player.EquipementChangeCallback;
import net.minecraft.entity.EquipmentSlot;
import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.item.ItemStack;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(PlayerEntity.class)
public class PlayerChangeEquipmentMixin {
    @Inject(method = "equipStack", at = @At(value = "HEAD"), cancellable = true)
    private void onEquipmentChange(EquipmentSlot slot, ItemStack stack, CallbackInfo ci) {
        EquipementChangeCallback.EVENT.invoker().changeEquipment((PlayerEntity) (Object) this, slot, stack);
    }
}
