package me.unurled.lymel.components.events.player;

import net.fabricmc.fabric.api.event.Event;
import net.fabricmc.fabric.api.event.EventFactory;
import net.minecraft.server.PlayerManager;
import net.minecraft.server.network.ServerPlayerEntity;
import net.minecraft.util.ActionResult;

public interface LeaveServerCallback {
    Event<LeaveServerCallback> EVENT = EventFactory.createArrayBacked(LeaveServerCallback.class,
            (listeners) -> (manager, player) -> {
                for (LeaveServerCallback listener : listeners) {
                    listener.leave(manager, player);
                }
                return ActionResult.SUCCESS;
            });

    ActionResult leave(PlayerManager manager, ServerPlayerEntity player);
}
